> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-mcp-bridge-private-server.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Access Profile From Cohort

> CreateAccessProfileFromCohort creates an access profile from a cohort definition,
 adds the specified entitlements, and sets up dynamic membership automation using
 a CEL expression derived from the profile filters.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/role-mining/access-profiles
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/role-mining/access-profiles:
    post:
      tags:
        - Role Mining
      summary: Create Access Profile From Cohort
      description: >-
        CreateAccessProfileFromCohort creates an access profile from a cohort
        definition,
         adds the specified entitlements, and sets up dynamic membership automation using
         a CEL expression derived from the profile filters.
      operationId: >-
        c1.api.role_mining_management.v1.RoleMiningManagementService.CreateAccessProfileFromCohort
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.role_mining_management.v1.CreateAccessProfileFromCohortRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.role_mining_management.v1.CreateAccessProfileFromCohortResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: CreateAccessProfileFromCohort
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.RoleMiningManagement.CreateAccessProfileFromCohort(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.CreateAccessProfileFromCohortResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.roleMiningManagement.createAccessProfileFromCohort();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.role_mining_management.v1.CreateAccessProfileFromCohortRequest:
      description: The CreateAccessProfileFromCohortRequest message.
      properties:
        celExpression:
          description: |-
            Optional CEL expression for dynamic membership. When non-empty, used
             instead of auto-generating from profile_filters.
          type:
            - string
            - 'null'
        createTasks:
          description: |-
            If true, the automation will create JIT tasks for access changes.
             If false, users are synced to membership without creating tasks.
          type:
            - boolean
            - 'null'
        description:
          description: Description for the access profile.
          type:
            - string
            - 'null'
        displayName:
          description: Display name for the access profile.
          type:
            - string
            - 'null'
        enableAutomation:
          description: If true, enable the dynamic membership automation immediately.
          type:
            - boolean
            - 'null'
        entitlements:
          description: Entitlements to add to the access profile.
          items:
            $ref: '#/components/schemas/c1.mcp.role_mining.v1.CohortEntitlement'
          type:
            - array
            - 'null'
        profileFilters:
          description: Profile filters defining the cohort for dynamic membership.
          items:
            $ref: '#/components/schemas/c1.mcp.role_mining.v1.ProfileFilter'
          type:
            - array
            - 'null'
        suggestionId:
          description: >-
            Optional suggestion ID to mark as accepted after creating the
            profile.
          type:
            - string
            - 'null'
      title: Create Access Profile From Cohort Request
      type: object
      x-speakeasy-name-override: CreateAccessProfileFromCohortRequest
    c1.api.role_mining_management.v1.CreateAccessProfileFromCohortResponse:
      description: The CreateAccessProfileFromCohortResponse message.
      properties:
        accessProfileId:
          description: The ID of the created access profile.
          type:
            - string
            - 'null'
        celExpression:
          description: The CEL expression generated for dynamic membership.
          type:
            - string
            - 'null'
      title: Create Access Profile From Cohort Response
      type: object
      x-speakeasy-name-override: CreateAccessProfileFromCohortResponse
    c1.mcp.role_mining.v1.CohortEntitlement:
      description: The CohortEntitlement message.
      properties:
        appDisplayName:
          description: The appDisplayName field.
          type:
            - string
            - 'null'
        appId:
          description: The appId field.
          type:
            - string
            - 'null'
        appResourceDisplayName:
          description: The appResourceDisplayName field.
          type:
            - string
            - 'null'
        appResourceTypeDisplayName:
          description: The appResourceTypeDisplayName field.
          type:
            - string
            - 'null'
        coverage:
          description: The coverage field.
          type:
            - number
            - 'null'
        entitlementDisplayName:
          description: The entitlementDisplayName field.
          type:
            - string
            - 'null'
        entitlementId:
          description: The entitlementId field.
          type:
            - string
            - 'null'
        grantedCount:
          description: The grantedCount field.
          format: int32
          type:
            - integer
            - 'null'
        riskLevelValueId:
          description: The riskLevelValueId field.
          type:
            - string
            - 'null'
      title: Cohort Entitlement
      type: object
      x-speakeasy-name-override: CohortEntitlement
    c1.mcp.role_mining.v1.ProfileFilter:
      description: |-
        ProfileFilter defines a filter on a user profile attribute.
         Use GetOrgOverview to discover available attribute keys and their values.
      properties:
        attribute:
          description: The attribute field.
          type:
            - string
            - 'null'
        values:
          description: The values field.
          items:
            type: string
          type:
            - array
            - 'null'
      title: Profile Filter
      type: object
      x-speakeasy-name-override: ProfileFilter
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````